<?php

namespace CRM\Controller;

use Zeedhi\Framework\DTO\Request;
use CRM\Traits\TResponse;
use CRM\Service\CrmMotivoDeEvolucaoService;

class CrmMotivoDeEvolucaoController
{
    protected $motivoDeEvolucaoService;

    use TResponse;

    public function __construct(CrmMotivoDeEvolucaoService $motivoDeEvolucaoService)
    {
        $this->motivoDeEvolucaoService = $motivoDeEvolucaoService;
    }


    public function getCrmMotivoDeEvolucaoController()
    {
       
        try {
            $data = $this->motivoDeEvolucaoService->getCrmMotivoDeEvolucao();
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function saveCrmMotivoDeEvolucao(Request $request)
    {
        try {
            $rows = $request->getParameters();
            $data = $this->motivoDeEvolucaoService->saveCrmMotivoDeEvolucao($rows);
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function deleteCrmMotivoDeEvolucao(Request $request)
    {
        try {
            $rows = $request->getParameters();
            $data = $this->motivoDeEvolucaoService->deleteCrmMotivoDeEvolucao($rows);
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
      
        }  
    }

    public function inserirAnexoMotivoEvolucao(Request $request)
    {
        try {
            $rows = $request->getParameters();
            $this->motivoDeEvolucaoService->inserirAnexoMotivoEvolucao($rows);
        } catch (\Exception $e) {

            $this->sendResponse(['error' => $e->getMessage(), 'code' => $e->getCode()], 500);
        }
    }
    public function downloadAnexoMotivoDeEvolucao(Request $request)
    {
        try {
            $rows = $request->getParameters();
            $this->motivoDeEvolucaoService->downloadAnexoMotivoDeEvolucao($rows);
        } catch (\Exception $e) {

            $this->sendResponse(['error' => $e->getMessage(), 'code' => $e->getCode()], 500);
        }
    }

    public function deleteAnexoMotivoDeEvolucao(Request $request)
    {
        try {
            $rows = $request->getParameters();
            $data = $this->motivoDeEvolucaoService->deleteAnexoMotivoDeEvolucao($rows);
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
      
        }  
    }
}