<?php

namespace CRM\Controller;

use Zeedhi\Framework\DTO\Request;
use CRM\Traits\TResponse;
use CRM\Service\CrmResultadoDaEvolucaoService;

class CrmResultadoDaEvolucaoController
{
    protected $CrmResultadoDaEvolucaoService;

    use TResponse;

    public function __construct(CrmResultadoDaEvolucaoService $CrmResultadoDaEvolucaoService)
    {
        $this->ResultadoDaEvolucaoService = $CrmResultadoDaEvolucaoService;
    }


public function getCrmResultadoDaEvolucaoController()
    {
       
        try {
            $data = $this->ResultadoDaEvolucaoService->getCrmResultadoDaEvolucao();
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
    public function saveCrmResultadoDaEvolucao(Request $request)
    {
        try {
            $rows = $request->getParameters();
            $data = $this->ResultadoDaEvolucaoService->saveCrmResultadoDaEvolucao($rows);
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
    public function deleteCrmResultadoDaEvolucao(Request $request)
    {
        try {
            $rows = $request->getParameters();
            $data = $this->ResultadoDaEvolucaoService->deleteCrmResultadoDaEvolucao($rows);
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
      
        }  
    }
}