<?php

namespace CRM\Controller;

use Zeedhi\Framework\DTO\Request;
use CRM\Traits\TResponse;
use CRM\Service\CrmTipoDeContatoService;

class CrmTipoDeContatoController
{
    protected $tipoDeContatoService;

    use TResponse;

    public function __construct(CrmTipoDeContatoService $tipoDeContatoService)
    {
        $this->tipoDeContatoService = $tipoDeContatoService;
    }

    public function getCrmTipoDeContatoController()
    {
        try {
            $data = $this->tipoDeContatoService->getCrmTipoDeContato();
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function saveCrmTipoDeContato(Request $request)
    {
        try {
            $rows = $request->getParameters();
            $data = $this->tipoDeContatoService->saveCrmTipoDeContato($rows);
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function deleteCrmTipoDeContato(Request $request)
    {
        try {
            $rows = $request->getParameters();
            $data = $this->tipoDeContatoService->deleteCrmTipoDeContato($rows);
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
      
        }  
    }
}